OBJECT

# Query

## link GraphQL Schema definition

`

- type Query {
- # Arguments
- # user:
- # password:
- # deviceID:
- login(user: String!, password: String!, deviceID: ID): AuthResponse!
- logout: AuthResponse!
- # Arguments
- # id:
- mediaItem(id: ID!): MediaItem!
- # Arguments
- # id:
- device(id: ID!): Device!
- # Arguments
- # id:
- album(id: ID!): Album!
- # Arguments
- # id:
- user(id: ID!): User!
- # Arguments
- # id:
- tag(id: ID!): Tag!
- me: User!
- # Arguments
- # filter:
- # page:
- # order:
- mediaItems(filter: MediaItemFilter, page: Page, order: Order): MediaItemResponse!
- # Arguments
- # filter:
- # page:
- # order:
- devices(filter: DeviceFilter, page: Page, order: Order): DeviceResponse!
- # Arguments
- # filter:
- # page:
- # order:
- albums(filter: AlbumFilter, page: Page, order: Order): AlbumResponse!
- # Arguments
- # filter:
- # page:
- # order:
- tags(filter: TagFilter, page: Page, order: Order): TagResponse!
- # Arguments
- # filter:
- # page:
- # order:
- users(filter: UserFilter, page: Page, order: Order): UserResponse!
- }

`

## link Require by

This element is not required by anyone